Imagick::whiteThresholdImage
Imagick::writeImageFile
Imagick
PHP Manual

# Imagick::writeImage

(PECL imagick 0.9.0-0.9.9)

Imagick::writeImage — Writes an image to the specified filename

### Description

bool Imagick::writeImage ([ string `$filename` = NULL ] )

Writes an image to the specified filename. If the filename parameter is NULL, the image is written to the filename set by Imagick::readImage() or Imagick::setImageFilename().

### Parameters

`filename`

  Filename where to write the image. The extension of the filename defines the type of the file. Format can be forced regardless of file extension using format: prefix, for example "jpg:test.png".

### Return Values

Returns `TRUE` on success.

Imagick::whiteThresholdImage
Imagick::writeImageFile
Imagick
PHP Manual